Bug 177851 - [patch] devel/cross-binutils: Fix and update to 2.23.2
Summary: [patch] devel/cross-binutils: Fix and update to 2.23.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 11:20 UTC by Christoph Mallon
Modified: 2013-04-27 19:30 UTC (History)
1 user (show)

See Also:


Attachments
0001-devel-cross-binutils-mips-does-not-build-gprof.patch (1.60 KB, patch)
2013-04-14 11:20 UTC, Christoph Mallon
no flags Details | Diff
0002-devel-cross-binutils-Update-to-2.23.2.patch (2.11 KB, patch)
2013-04-14 11:20 UTC, Christoph Mallon
no flags Details | Diff
0003-devel-cross-binutils-Add-options.patch (763 bytes, patch)
2013-04-14 11:20 UTC, Christoph Mallon
no flags Details | Diff
0004-devel-cross-binutils-Trim-header.patch (755 bytes, patch)
2013-04-14 11:20 UTC, Christoph Mallon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Mallon 2013-04-14 11:20:00 UTC
Currently devel/cross-binutils is broken for mips and ppc.
For mips no gprof is built, so installing fails.
Building fails for ppc in version 2.21.
These patches also trim the Makefile header and add an option for the switch WITH_RTEMS_PATCHES

Fix: Please apply these patches.

dummy file, because GNATS damages every other file
--- dummy1 ends here ---

dummy file, because GNATS damages every other file
--- dummy2 ends here ---

dummy file, because GNATS damages every other file
--- dummy3 ends here ---
Comment 1 Chris Rees freebsd_committer 2013-04-18 22:00:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees freebsd_committer 2013-04-20 11:24:03 UTC
State Changed
From-To: open->feedback

Leaves stuff behind? (At least for i386-elf!) 
http://www.bayofrum.net/tb/index.php?action=display_markup_log&build=9-local&id=2394
Comment 3 dfilter service freebsd_committer 2013-04-27 19:20:06 UTC
Author: crees
Date: Sat Apr 27 18:19:58 2013
New Revision: 316682
URL: http://svnweb.freebsd.org/changeset/ports/316682

Log:
  devel/cross-binutils: Fix and update to 2.23.2
  
  - For mips no gprof was built, so installing failed.
  - Building failed for ppc in version 2.21.
  - Add an option for the switch WITH_RTEMS_PATCHES
  
  Christoph has also valiantly agreed to be set as MAINTAINER.
  
  PR:		ports/177851
  Submitted by:	Christoph Mallon <christoph.mallon@gmx.de>

Modified:
  head/devel/cross-binutils/Makefile
  head/devel/cross-binutils/distinfo

Modified: head/devel/cross-binutils/Makefile
==============================================================================
--- head/devel/cross-binutils/Makefile	Sat Apr 27 18:15:50 2013	(r316681)
+++ head/devel/cross-binutils/Makefile	Sat Apr 27 18:19:58 2013	(r316682)
@@ -1,12 +1,10 @@
-# New ports collection makefile for:	cross-binutils
-# Date created:		8 August 2006
-# Whom:			Stanislav Sedov <stas@FreeBSD.org>
-#
+TGTARCH=	i386
+TGTABI=		elf
+# Created by: Stanislav Sedov <stas@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	binutils
-PORTVERSION=	2.21
+PORTVERSION=	2.23.2
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_SOURCEWARE}
 MASTER_SITE_SUBDIR=	binutils/releases
@@ -15,7 +13,7 @@ PKGNAMEPREFIX=	${TGTARCH}-${TGTABI}-
 PATCH_SITES=	ftp://ftp.rtems.com/pub/rtems/SOURCES/4.11/
 PATCH_DIST_STRIP=	-p1
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	christoph.mallon@gmx.de
 COMMENT=	GNU binutils port for cross-target development
 
 USE_BZIP2=	yes
@@ -24,6 +22,12 @@ GNU_CONFIGURE=	yes
 ALL_TARGET=	all info
 MAKE_JOBS_UNSAFE=	yes
 
+OPTIONS_DEFINE=		RTEMS_PATCHES
+
+RTEMS_PATCHES_DESC=	Apply RTEMS patches
+
+.include <bsd.port.options.mk>
+
 CONFIGURE_ARGS+=	--disable-nls \
 			--with-system-zlib \
 			--target=${OURTARGET} \
@@ -36,7 +40,6 @@ MAN1=		${OURTARGET}-addr2line.1 \
 		${OURTARGET}-as.1 \
 		${OURTARGET}-c++filt.1 \
 		${OURTARGET}-elfedit.1 \
-		${OURTARGET}-gprof.1 \
 		${OURTARGET}-dlltool.1 \
 		${OURTARGET}-ld.1 \
 		${OURTARGET}-nlmconv.1 \
@@ -54,15 +57,15 @@ MAN1=		${OURTARGET}-addr2line.1 \
 INFO=		${OURTARGET}-as \
 		${OURTARGET}-bfd \
 		${OURTARGET}-binutils \
-		${OURTARGET}-gprof \
-		${OURTARGET}-ld
+		${OURTARGET}-ld \
+		configure \
+		standards
 
 PLIST_FILES=	bin/${OURTARGET}-addr2line \
 		bin/${OURTARGET}-ar \
 		bin/${OURTARGET}-as \
 		bin/${OURTARGET}-c++filt \
 		bin/${OURTARGET}-elfedit \
-		bin/${OURTARGET}-gprof \
 		bin/${OURTARGET}-ld \
 		bin/${OURTARGET}-ld.bfd \
 		bin/${OURTARGET}-nm \
@@ -74,24 +77,27 @@ PLIST_FILES=	bin/${OURTARGET}-addr2line 
 		bin/${OURTARGET}-strings \
 		bin/${OURTARGET}-strip
 
-.if defined(TGTABI) && (${TGTABI} == "pc-mingw32" || ${TGTABI} == "mingw32")
+.if defined(TGTARCH) && ${TGTARCH} != mips
+MAN1+=		${OURTARGET}-gprof.1
+INFO+=		${OURTARGET}-gprof
+PLIST_FILES+=	bin/${OURTARGET}-gprof
+.endif
+
+.if defined(TGTABI) && (${TGTABI} == pc-mingw32 || ${TGTABI} == mingw32)
 PLIST_FILES+=	bin/${OURTARGET}-dlltool \
 		bin/${OURTARGET}-dllwrap \
 		bin/${OURTARGET}-windmc \
 		bin/${OURTARGET}-windres
 .endif
 
-.if defined(WITH_RTEMS_PATCHES)
-PATCHFILES+=	${PORTNAME}-${PORTVERSION}-rtems4.11-20110107.diff
+.if ${PORT_OPTIONS:MRTEMS_PATCHES}
+PATCHFILES+=	${PORTNAME}-${PORTVERSION}-rtems4.11-20130326.diff
 .endif
 
 .if !defined(TGTARCH) || !defined(TGTABI)
 PKGNAMEPREFIX=	cross-
 IGNORE=		you should define TGTARCH and TGTABI to build port
 .endif
-.if defined(TGTARCH) && (${TGTABI} == "elf" && ${TGTARCH} == "powerpc")
-IGNORE=		will not build with TGTARCH=powerpc and TGTABI=elf
-.endif
 
 #
 # Macro to fix up info referencies
@@ -139,8 +145,8 @@ post-patch:
 
 post-install:
 #
-# Add some plist items (we don't list them directly, since the set vary
-# accross different targets
+# Add some plist items (we don't list them directly, since the set varies
+# across different targets)
 #
 	@${FIND} -ds ${PREFIX}/${OURTARGET} ! -type d | \
 		${SED} -e 's,^${PREFIX}/,,' >> ${TMPPLIST}

Modified: head/devel/cross-binutils/distinfo
==============================================================================
--- head/devel/cross-binutils/distinfo	Sat Apr 27 18:15:50 2013	(r316681)
+++ head/devel/cross-binutils/distinfo	Sat Apr 27 18:19:58 2013	(r316682)
@@ -1,4 +1,4 @@
-SHA256 (binutils-2.21.tar.bz2) = 60abec5bf448eb930a5a15acb8712612377dc8bcfb13dfd5131228f70561d0c7
-SIZE (binutils-2.21.tar.bz2) = 18742991
-SHA256 (binutils-2.21-rtems4.11-20110107.diff) = a57150ba5ff28aaac08624d00ff88ba3f12d54efab16094c8ec6c3ae71d6fe39
-SIZE (binutils-2.21-rtems4.11-20110107.diff) = 2276
+SHA256 (binutils-2.23.2.tar.bz2) = fe914e56fed7a9ec2eb45274b1f2e14b0d8b4f41906a5194eac6883cfe5c1097
+SIZE (binutils-2.23.2.tar.bz2) = 21440347
+SHA256 (binutils-2.23.2-rtems4.11-20130326.diff) = 806c44d2987088b9c4752a769cacff89c495366f8c3222e13fae7622a8ff662f
+SIZE (binutils-2.23.2-rtems4.11-20130326.diff) = 7844
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2013-04-27 19:20:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!